<!---
SPDX-FileCopyrightText: Copyright 2022, Arm Limited and/or its affiliates.
SPDX-License-Identifier: Apache-2.0
--->
# Release 0.2.0

* Update TensorFlow™ dependency to 2.13.0 to use the latest TFL to TOSA legalization
* Models with tfl.custom ops are considered non TOSA compliant
* Add security measures:
  * Add a `--sanitizer=[asan|ubsan]` option to `setup.py` to build the Python® package with the [Address Sanitizer (ASAN)](https://clang.llvm.org/docs/AddressSanitizer.html) or [Undefined Behavior Sanitizer (UBSAN)](https://clang.llvm.org/docs/UndefinedBehaviorSanitizer.html)
  * Add the [Bandit](https://pypi.org/project/bandit/) linter
  * Use `_FORTIFY_SOURCE=2` on compiled sources
  * Add security counter measures in the Docker™ CI, see [docker/README.md](docker/README.md#how-to-use-the-tosa-checker-dockertm-image-with-security-countermeasures) for more information
* Add a `--nightly` option to `setup.py` for building nightly Python® packages
* Fix TOSA Checker PyPI® homepage links


# Release 0.1.0

First release of the TOSA Checker tool. The goal of the tool is to provide an easy way to check if a TensorFlow™ Lite model is compatible with the [TOSA specification](https://www.mlplatform.org/tosa).

The tool is provided as a Python® package and can be used as follow:

```python
>>> import tosa_checker as tc
>>> checker = tc.TOSAChecker("model.tflite")
>>> checker.is_tosa_compatible()
True
```

The tool is currently in alpha, the features set is limited and some stability issues may exist.

Future versions may extend the functionalities provided and support for other frameworks will be added.
